ESXi 6.5 < Build 6765664 Heap Buffer Overflow (VMSA-2017-0021) (remote check)

Medium Nessus Plugin ID 105614

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 5.9

Synopsis

The remote VMware ESXi 6.5 host is affected by a remote heap buffer overflow vulnerability.

Description

The version of the remote VMware ESXi 6.5 host is prior to build 6765664. It is, therefore, affected by a heap buffer overflow vulnerability that can be triggered by a specially crafted set of VNC packets.

Solution

Apply patch ESXi650-201710401-BG according to the vendor advisory.

See Also

https://www.vmware.com/security/advisories/VMSA-2017-0021.html

https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0368

Plugin Details

Severity: Medium

ID: 105614

File Name: vmware_esxi_6_5_build_6765664.nasl

Version: 1.8

Type: remote

Family: Misc.

Published: 2018/01/05

Updated: 2020/09/02

Dependencies: 57396

Risk Information

Risk Factor: Medium

VPR Score: 5.9

CVSS Score Source: CVE-2017-4933

CVSS v2.0

Base Score: 6

Temporal Score: 4.4

Vector: CVSS2#AV:N/AC:M/Au:S/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: x-cpe:/o:vmware:esxi:6.5

Required KB Items: Host/VMware/version, Host/VMware/release, Host/VMware/vsphere

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2017/12/19

Vulnerability Publication Date: 2017/12/19

Reference Information

CVE: CVE-2017-4933

BID: 102240

VMSA: 2017-0021